@font-face {
  font-family: dmsans;
  src: url();
}

@font-face {
  font-family: boldf;
  src: url(./Fonts/suisseintl-bold.ttf);
}

@font-face {
  font-family: lightf;
  src: url(./Fonts/suisseintl-light.ttf);
}

@font-face {
  font-family: mediumf;
  src: url(./Fonts/suisseintl-medium.ttf);
}

@font-face {
  font-family: regularf;
  src: url(./Fonts/suisseintl-regular.ttf);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: regularf;
}



.minicircle {
  position: fixed;
  left: 0;
  top: 0;
  width: 20px;
  height: 20px;
  background-color: #000;
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(1);
  /* mix-blend-mode: difference; */
  transition: transform 0.1s ease;
  z-index: 9999;
}

.fix-video {
  display: flex;
  justify-content: center;
  align-items: center;
  /* gap: 6vw; */
  position: fixed;
  left: 92%;
  top: 85%;
  z-index: 9999;
}

.video-wrapper {
  position: relative;
  width: 5.5vw;
  height: 5.5vw;
  /* padding: 2vw; */
}

.video-wrapper video {
  width: 100%;
  height: 100%;
  border-radius: 50%; /* circle video */
  object-fit: cover; /* crop nicely */
}

.circle-text {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 140%;
  height: 140%;
  /* font-size: 2vw; */
  /* height: 1vw; */
  color: #888;
  transform: translate(-50%, -50%);
  pointer-events: none; /* click block na kare */
  /* mix-blend-mode: difference; */
}



#main {
  width: 100%;
}


nav {
  width: 100%;
  padding: 2.6vh 14.3vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  background-color: #fffffff7;
  z-index: 100;
}

.nav-left {
  width: fit-content;
  overflow: hidden;
}

.nav-left svg {
  height: 1.27vw;
  min-height: 20px;
  opacity: 1;
  transform: translateY(100%);
}

.nav-right {
  display: flex;
  gap: 2.3vw;
}

.nav-right-elem {
  overflow: hidden;
  position: relative;
  cursor: pointer;
  width: fit-content;
}

.nav-right-elem a {
  transform: translateY(120%);
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1vw;
  line-height: 1;
  font-weight: 500;
  cursor: pointer;
  color: #000;
}

.nav-right-elem a .text {
  display: block;
  transition: transform 0.3s linear;
}

.nav-right-elem a .text:first-child {
  transform: translateY(0);
}

.nav-right-elem a .text:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.nav-right-elem a:hover .text:first-child {
  transform: translateY(-100%);
}

.nav-right-elem a:hover .text:last-child {
  transform: translateY(-100%);
}

#section1 {
  width: 100%;
  height: 36vh;
  /* background-color: red; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  gap: 1.2vw;
  /* padding-bottom: 2vw; */
}

.sec1-top-elem {
  display: flex;
  gap: 1vw;
  overflow: hidden;
  width: fit-content;
}

.sec1-top-elem h1 {
  font-size: 4.6vw;
  font-weight: 600;
  line-height: 1.1;
  transform: translateY(100%);
  opacity: 0;
  color: #000;
}

.sec1-para {
  width: fit-content;
  overflow: hidden;
}

.sec1-para p {
  font-size: 1.3vw;
  color: #000;
  transform: translateY(100%);
  opacity: 0;
  text-align: center;
  /* line-height: 1.4; */
}

#menu-project {
  width: 100%;
  height: 20vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-project-container {
  width: 60%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5vw;
  transform: translateY(40px);
  opacity: 0;
}


.menu-project-elem button {
  position: relative;
  display: inline-block;
  overflow: hidden;
  text-decoration: none;
  font-size: 1.3vw;
  line-height: 1;
  font-weight: 500;
  cursor: pointer;
  color: #000;
  outline: none;
  border: none;
  background: transparent;
}

/* underline ke liye pseudo-element */
.menu-project-elem button::after {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 0%;
  height: 2px;
  background: #000;
  transition: width 0.3s ease;
}

/* jab active ho to underline animate hoke full ho jaye */
.menu-project-elem button.active::after {
  width: 100%;
}

.menu-project-elem button .text {
  display: block;
  transition: transform 0.3s linear;
}

.menu-project-elem button .text:first-child {
  transform: translateY(0);
}

.menu-project-elem button .text:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}



.menu-project-elem button:hover .text:first-child {
  transform: translateY(-100%);
}

.menu-project-elem button:hover .text:last-child {
  transform: translateY(-100%);
}


#section2{
  width: 100%;
  min-height: 200vh;
  /* background-color: red; */

  padding: 0 14vw;
}

.sec2{
  width: 100%;
    display: flex;
  justify-content: space-between;
}

.sec1-left{
  width: 48%;
  /* height: 60vh; */
  /* background-color: blue; */
}

.sec1-content{
  height: 65vh;
  width: 100%;
  /* background-color: pink; */
  margin-bottom: 4vw;
}

.sec1-content:hover .sec1-img{
  scale: 0.98;
}

.sec1-img{
  width: 100%;
  height: 38vh;
  border-radius: 20px;
  overflow: hidden;
  transition: all linear 0.2s;
  /* background-color: burlywood; */
  margin-bottom: 2vw;
}

.sec1-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sec1-bottom a{
    text-decoration: none;
  color: #000;
  border: 1px solid #000;
  border-radius: 50px;
  font-size: 0.7vw;
  font-weight: 500;
  padding: 0.8vh 1.5vh;
}

.sec1-bottom h3{
    font-size: 2.2vw;
  margin-top: 2.5vw;
  font-weight: 500;
}


.sec1-bottom h5 {
  font-size: 1vw;
  color: #888;
  margin-top: 1vw;
}


.sec1-right{
  width: 48%;
  /* height: 60vh; */
  /* background-color: blue; */
}


#section3 {
  width: 100%;
  height: 100vh;
  background-color: rgb(128, 128, 128);
  position: relative;
  color: #fff;
  overflow: hidden;
}

#section3 video {
  width: 100%;
  /* height: 100%; */
}

.sec3-content {
  position: absolute;
  top: 52%;
  left: 50%;
  transform: translate(-50%, -40%);
  text-align: center;
  width: 100%;
}

.sec3-heading {
  width: fit-content;
  overflow: hidden;
  margin-left: 38vw;
  margin-bottom: 1vw;
  line-height: 1;
}

.sec3-heading h1 {
  text-align: center;
  font-size: 6vw;
  font-weight: 400;
  transform: translateY(100%);
  transition: transform 0.6s cubic-bezier(0.19, 1, 0.22, 1);
}

.sec3-heading:nth-child(1) {
  margin-left: 42vw;
}

.sec3-content a {
  position: relative;
  border: 1px solid #fff;
  background: transparent;
  color: #fff;
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  display: inline-block;
  border-radius: 100px; /* 👈 Perfect pill shape */
  transition: color 0.4s ease, transform 0.4s ease, box-shadow 0.4s ease;
  z-index: 1; /* 👈 important */
  font-weight: 300;
  padding: 0vw 2.5vw;
  font-size: 6vw;
  opacity: 0;
  scale: 0.5;
  transform: translateY(40px);
}

.sec3-content a::before {
  content: "";
  position: absolute;
  top: 100%; /* 👈 niche se aayega */
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  border-radius: 50px; /* 👈 overlay bhi rounded */
  transition: top 0.5s ease;
  z-index: -1; /* 👈 overlay background ke neeche */
}

.sec3-content a:hover {
  color: #000;
  transform: scale(1.08); /* thoda zoom */
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

.sec3-content a:hover::before {
  top: 0;
}



#footer {
  width: 100%;
  height: 60vh;
  background-color: #000000;
  padding: 0 14vw;
  color: white;
  display: flex;
}

.footer-left {
  width: 50%;
  height: 100%;
  padding-top: 10vw;
  color: #fff;
  display: flex;
  justify-content: space-between;
}

.footer-left-top-elem a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-left-top-elem a::after {
  content: "info@cuberto.com";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-left-top-elem a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-left-top-elem a:hover::after {
  top: 0;
}

.footer-left-top-elem p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-left-top-elem p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 75%;
}

.footer-left-bottom-elem {
  display: flex;
  gap: 2vw;
  margin-top: 6vw;
}

.footer-left-bottom-elem a {
  color: #fff;
  text-decoration: none;
}

.footer-left-bottom-elem h5 {
  color: #888;
  font-size: 0.8vw;
}

.footer-content2 {
  padding-left: 1vw;
}

.footer-content2 a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-content2 a::after {
  content: "+1 301 549 9309";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-content2 a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-content2 a:hover::after {
  top: 0;
}

.footer-content2 p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-content2 p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 80%;
}

.footer-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding-top: 10vw;
}

.footer-right-container {
  display: flex;
  gap: 3vw;
}

.footer-right-elem {
  margin-bottom: 1.1vw;
  text-align: right;
}

.footer-right-elem a {
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1.3vw;
  line-height: 1;
  font-weight: 400;
  cursor: pointer;
  color: #fff;
}

.footer-right-elem a .text2 {
  display: block;
  transition: transform 0.3s linear;
}

.footer-right-elem a .text2:first-child {
  transform: translateY(0);
}

.footer-right-elem a .text2:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.footer-right-elem a:hover .text2:first-child {
  transform: translateY(-100%);
}

.footer-right-elem a:hover .text2:last-child {
  transform: translateY(-100%);
}

.footer-bottom-content {
  display: flex;
  gap: 1.6vw;
  margin-top: 3.5vw;
}

.footer-bottom-content a {
  text-decoration: none;
  font-size: 1.2vw;
  border-radius: 50%;
  padding: 0.9vw 0.9vw;
  background-color: #1a1a1a;
  color: #fff;
}
